<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUserSignConfigsTable extends Migration
{

    /**
     * Run the migrations.
     * @return void
     */
    public function up()
    {
        Schema::create('user_sign_configs', function (Blueprint $table) {
            $table->id();
            $table->json('params')->nullable()->comment('参数');
            $table->json('tasks')->nullable()->comment('参数');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_sign_configs');
    }

}
